Index: /nagios/objects/commands.cfg
===================================================================
--- /nagios/objects/commands.cfg	(revision 351)
+++ /nagios/objects/commands.cfg	(revision 352)
@@ -145,5 +145,5 @@
 define command{
         command_name    check_http
-        command_line    $USER1$/check_http -H $HOSTNAME$ -I $HOSTADDRESS$ $ARG1$
+        command_line    $USER1$/check_http -I $HOSTADDRESS$ -f follow $ARG1$
         }
 
Index: /nagios/objects/vanderzwet.net.cfg
===================================================================
--- /nagios/objects/vanderzwet.net.cfg	(revision 351)
+++ /nagios/objects/vanderzwet.net.cfg	(revision 352)
@@ -110,6 +110,5 @@
 define service{
         use                             local-service
-	host_name			!siteview.wirelessleiden.nl,fritz.box,!sunfire.wirelessleiden.nl,CNodeZwet.wleiden.net
-        hostgroup_name			vanderzwet.net,wirelessleiden.nl,lorentzschool.nl
+	host_name			fritz.box,CNodeZwet.wleiden.net,pzwet.vanderzwet.net
         service_description             HTTP
 	check_command			check_http
@@ -117,16 +116,116 @@
         }
 
+define service {
+	use				local-service
+	host_name			broom.lorentzschool.nl
+	service_description		HTTP - MediaWiki
+	check_command			check_http! -H wiki.lorentzschool.nl -s 'Hoofdpagina'
+	notifications_enabled		1
+}
+
+define service {
+	use				local-service
+	host_name			roel.vanderzwet.net
+	service_description		HTTP - Drupal
+	check_command			check_http! -H gera.be -s 'Duurzaam'
+	notifications_enabled		1
+}
+
+define service {
+	use				local-service
+	host_name			tyan.wirelessleiden.nl
+	service_description		HTTP - Drupal
+	check_command			check_http! -H www.wirelessleiden.nl -s 'Voorpagina'
+	notifications_enabled		1
+}
+define service {
+	use				local-service
+	host_name			tyan.wirelessleiden.nl
+	service_description		HTTP - SVN
+	check_command			check_http! -H svn.wirelessleiden.nl -u /svn -s 'Revision'
+	notifications_enabled		1
+}
+
+define service {
+	use				local-service
+	host_name			zweot.vanderzwet.net
+	service_description		HTTP - Trac
+	check_command			check_http! -H rickvanderzwet.nl -s 'Intro'
+	notifications_enabled		1
+}
+define service {
+	use				local-service
+	host_name			zweot.vanderzwet.net
+	service_description		HTTP - SVN
+	check_command			check_http! -H rickvanderzwet.nl -u /svn/personal -s 'svn version'
+	notifications_enabled		1
+}
+
+
+define service {
+	use				local-service
+	host_name			wifisoft.vanderzwet.net
+	service_description		HTTP - Trac
+	check_command			check_http! -H wifisoft.org -s 'About'
+	notifications_enabled		1
+}
+define service {
+	use				local-service
+	host_name			wifisoft.vanderzwet.net
+	service_description		HTTP - Drupal
+	check_command			check_http! -H opencommunitycamp.org -s 'Program'
+	notifications_enabled		1
+}
+
+
+define service {
+	use				local-service
+	host_name			tyan.wirelessleiden.nl
+	service_description		HTTP - Trac
+	check_command			check_http! -H wirelessleiden.nl -u /projects -s 'SaveEnergy'
+	notifications_enabled		1
+}
+define service {
+	use				local-service
+	host_name			tyan.wirelessleiden.nl
+	service_description		HTTP - MoinMoin
+	check_command			check_http! -H wiki.wirelessleiden.nl -s 'Uitsluiting'
+	notifications_enabled		1
+}
+define service {
+	use				local-service
+	host_name			tyan.wirelessleiden.nl
+	service_description		HTTP - Mailman
+	check_command			check_http! -H lijst.wirelessleiden.nl -s 'Vrijwilligers'
+	notifications_enabled		1
+}
+
+
 define service{
         use                             local-service
 	host_name			sunfire.wirelessleiden.nl
-        service_description             HTTP /buildbot/
+        service_description             HTTP - /buildbot/
 	check_command			check_http!-u /buildbot/
 	notifications_enabled		1
-        }
-
-
-define service{
-        use                             local-service
-	host_name			!riff.vanderzwet.net,!siteview.wirelessleiden.nl,!sunny.wleiden.net
+}
+define service 
+	use				local-service
+	host_name			sunfire.wirelessleiden.nl
+	service_description		HTTP - WLHeatmap
+	check_command			check_http! -H maps.wirelessleiden.nl -s 'Stichting Wireless Leiden'
+	notifications_enabled		1
+}
+
+define service {
+	use				local-service
+	host_name			sunfire.wirelessleiden.nl,riff.vanderzwet.net,buzz.vanderzwet.net,sunny.wleiden.net
+	service_description		HTTP - WL Services Proxy
+        servicegroups			wlservices
+	check_command			check_http! -u /wleiden/ -s 'Wireless Leiden Services'
+	notifications_enabled		1
+}
+define service{
+        use                             local-service
+	host_name			!riff.vanderzwet.net,!siteview.wirelessleiden.nl,!sunny.wleiden.net,!sunfire.wirelessleiden.nl
         hostgroup_name			vanderzwet.net,wirelessleiden.nl
         service_description             SMTP
@@ -134,5 +233,4 @@
 	notifications_enabled		1
         }
-
 define service{
         use                             local-service
@@ -208,5 +306,4 @@
 	service_description		Interface usage em0
 	check_command			check_snmp_int!em0
-	notifications_enabled		0
 }
 
@@ -216,5 +313,4 @@
 	service_description		Interface usage vr0
 	check_command			check_snmp_int!vr0
-	notifications_enabled		0
 }
 
@@ -224,5 +320,4 @@
 	service_description		Interface usage vr1
 	check_command			check_snmp_int!vr1
-	notifications_enabled		0
 }
 
@@ -232,5 +327,4 @@
 	service_description		Interface usage re0
 	check_command			check_snmp_int!re0
-	notifications_enabled		0
 }
 
@@ -240,5 +334,4 @@
 	service_description		Interface usage bge1
 	check_command			check_snmp_int!bge1
-	notifications_enabled		0
 }
 
@@ -252,5 +345,5 @@
 define service {
 	use				local-service
-	host_name			pzwet.vanderzwet.net,riff.vanderzwet.net
+	host_name			pzwet.vanderzwet.net
 	service_description		Bittorrent Client
 	check_command			check_tcp!51413
@@ -271,4 +364,8 @@
 }
 
-
-
+define servicegroup {
+	servicegroup_name		wlservices
+	alias				Wireless Leiden Services
+}
+
+