Index: nagios/objects/templates.cfg
===================================================================
--- nagios/objects/templates.cfg	(revision 352)
+++ nagios/objects/templates.cfg	(revision 356)
@@ -1,19 +1,2 @@
-###############################################################################
-# TEMPLATES.CFG - SAMPLE OBJECT TEMPLATES
-#
-# Last Modified: 10-03-2007
-#
-# NOTES: This config file provides you with some example object definition
-#        templates that are refered by other host, service, contact, etc.
-#        definitions in other config files.
-#       
-#        You don't need to keep these definitions in a separate file from your
-#        other object definitions.  This has been done just to make things
-#        easier to understand.
-#
-###############################################################################
-
-
-
 ###############################################################################
 ###############################################################################
@@ -95,59 +78,5 @@
 	max_check_attempts		10		; Check each FreeBSD host 10 times (max)
 	register			0		; DONT REGISTER THIS DEFINITION - ITS NOT A REAL HOST, JUST A TEMPLATE!
-	}
-
-
-# Windows host definition template - This is NOT a real host, just a template!
-
-define host{
-	name			windows-server	; The name of this host template
-	use			generic-host	; Inherit default values from the generic-host template
-	check_period		24x7		; By default, Windows servers are monitored round the clock
-	check_interval		5		; Actively check the server every 5 minutes
-	retry_interval		1		; Schedule host check retries at 1 minute intervals
-	max_check_attempts	10		; Check each server 10 times (max)
-	check_command		check-host-alive	; Default command to check if servers are "alive"
-	notification_period	24x7		; Send notification out at any time - day or night
-	notification_interval	30		; Resend notifications every 30 minutes
-	notification_options	d,r		; Only send notifications for specific host states
-	contact_groups		admins		; Notifications get sent to the admins by default
-	hostgroups		windows-servers ; Host groups that Windows servers should be a member of
-	register		0		; DONT REGISTER THIS - ITS JUST A TEMPLATE
-	}
-
-
-# We define a generic printer template that can be used for most printers we monitor
-
-define host{
-	name			generic-printer	; The name of this host template
-	use			generic-host	; Inherit default values from the generic-host template
-	check_period		24x7		; By default, printers are monitored round the clock
-	check_interval		5		; Actively check the printer every 5 minutes
-	retry_interval		1		; Schedule host check retries at 1 minute intervals
-	max_check_attempts	10		; Check each printer 10 times (max)
-	check_command		check-host-alive	; Default command to check if printers are "alive"
-	notification_period	workhours		; Printers are only used during the workday
-	notification_interval	30		; Resend notifications every 30 minutes
-	notification_options	d,r		; Only send notifications for specific host states
-	contact_groups		admins		; Notifications get sent to the admins by default
-	register		0		; DONT REGISTER THIS - ITS JUST A TEMPLATE
-	}
-
-
-# Define a template for switches that we can reuse
-define host{
-	name			generic-switch	; The name of this host template
-	use			generic-host	; Inherit default values from the generic-host template
-	check_period		24x7		; By default, switches are monitored round the clock
-	check_interval		5		; Switches are checked every 5 minutes
-	retry_interval		1		; Schedule host check retries at 1 minute intervals
-	max_check_attempts	10		; Check each switch 10 times (max)
-	check_command		check-host-alive	; Default command to check if routers are "alive"
-	notification_period	24x7		; Send notifications at any time
-	notification_interval	30		; Resend notifications every 30 minutes
-	notification_options	d,r		; Only send notifications for specific host states
-	contact_groups		admins		; Notifications get sent to the admins by default
-	register		0		; DONT REGISTER THIS - ITS JUST A TEMPLATE
-	}
+}
 
 