Index: nagios/objects/vanderzwet.net.cfg
===================================================================
--- nagios/objects/vanderzwet.net.cfg	(revision 376)
+++ nagios/objects/vanderzwet.net.cfg	(revision 377)
@@ -8,5 +8,5 @@
 	use		freebsd-server
 	parents		zweot.vanderzwet.net
-	host_name	roel.vanderzwet.net
+	host_name	rplay.vanderzwet.net
 }
 
@@ -34,13 +34,4 @@
 }
 
-define host {
-	use		freebsd-server
-	host_name	alpina.lorentzschool.nl
-}
-
-define host {
-	use		freebsd-server
-	host_name	broom.lorentzschool.nl
-}
 
 define host {
@@ -56,5 +47,5 @@
 define host {
 	use		freebsd-server
-	host_name	CNodeZwet.wleiden.net
+	host_name	HybridZwet.wleiden.net
 	max_check_attempts 60
 }
@@ -62,5 +53,5 @@
 define host {
 	use		freebsd-server
-	parents		CNodeZwet.wleiden.net
+	parents		HybridZwet.wleiden.net
 	host_name	sunny.wleiden.net
 	max_check_attempts 60
@@ -75,5 +66,5 @@
 	hostgroup_name	routers
 	alias		Various external polled routers
-	members		fritz.box,ns.xs4all.nl,CNodeZwet.wleiden.net
+	members		fritz.box,ns.xs4all.nl,HybridZwet.wleiden.net
 }
 
@@ -82,12 +73,7 @@
         hostgroup_name  vanderzwet.net
         alias           Rick van der Zwet - FreeBSD Servers
-        members         buzz.vanderzwet.net,zweot.vanderzwet.net,riff.vanderzwet.net,roel.vanderzwet.net,wifisoft.vanderzwet.net,pzwet.vanderzwet.net
-        }
-
-define hostgroup {
-        hostgroup_name  lorentzschool.nl
-        alias           Lorentzschool education servers - FreeBSD Servers
-        members         alpina.lorentzschool.nl,broom.lorentzschool.nl
-        }
+        members         buzz.vanderzwet.net,zweot.vanderzwet.net,riff.vanderzwet.net,rplay.vanderzwet.net,wifisoft.vanderzwet.net,pzwet.vanderzwet.net
+        }
+
 
 define hostgroup {
@@ -103,5 +89,5 @@
 define service{
         use                             local-service
-        hostgroup_name			vanderzwet.net,wirelessleiden.nl,lorentzschool.nl
+        hostgroup_name			vanderzwet.net,wirelessleiden.nl
         service_description             SSH
 	check_command			check_ssh
@@ -111,5 +97,5 @@
 define service{
         use                             local-service
-	host_name			fritz.box,CNodeZwet.wleiden.net,pzwet.vanderzwet.net
+	host_name			fritz.box,HybridZwet.wleiden.net,pzwet.vanderzwet.net
         service_description             HTTP
 	check_command			check_http
@@ -117,19 +103,4 @@
         }
 
-define service {
-	use				local-service
-	host_name			broom.lorentzschool.nl
-	service_description		HTTP - MediaWiki
-	check_command			check_http! -H wiki.lorentzschool.nl -s 'Hoofdpagina'
-	notifications_enabled		1
-}
-
-define service {
-	use				local-service
-	host_name			roel.vanderzwet.net
-	service_description		HTTP - Drupal
-	check_command			check_http! -H gera.be -s 'Duurzaam'
-	notifications_enabled		1
-}
 
 define service {
@@ -203,16 +174,9 @@
 
 
-define service{
-        use                             local-service
-	host_name			sunfire.wirelessleiden.nl
-        service_description             HTTP - /buildbot/
-	check_command			check_http!-u /buildbot/
-	notifications_enabled		1
-}
 define service 
 	use				local-service
-	host_name			sunfire.wirelessleiden.nl
+	host_name			pzwet.vanderzwet.net
 	service_description		HTTP - WLHeatmap
-	check_command			check_http! -H maps.wirelessleiden.nl -s 'Stichting Wireless Leiden'
+	check_command			check_http! -H wleiden.maps.vanderzwet.net -u http://wleiden.maps.vanderzwet.net/heatmap/ -s 'Stichting Wireless Leiden'
 	notifications_enabled		1
 }
@@ -230,5 +194,5 @@
 	host_name			riff.vanderzwet.net,buzz.vanderzwet.net,sunny.wleiden.net
 	service_description		HTTP - WL Services Proxy
-	dependent_host_name		CNodeZwet.wleiden.net
+	dependent_host_name		HybridZwet.wleiden.net
 	dependent_service_description   HTTP
 	execution_failure_criteria	w,c,u
@@ -357,18 +321,4 @@
 define service {
 	use				local-service
-	host_name			pzwet.vanderzwet.net
-	service_description		Bittorrent Client
-	check_command			check_tcp!51413
-}
-define service {
-	use				local-service
-	host_name			pzwet.vanderzwet.net
-	service_description		HTTP - Trouwen
-	check_command			check_http! -H rick-en-inge-gaan-trouwen.nl -s '8 Juni 2012'
-	notifications_enabled		1
-}
-
-define service {
-	use				local-service
 	host_name			buzz.vanderzwet.net,zweot.vanderzwet.net,riff.vanderzwet.net
 	service_description		ICMP under IPv6