Index: /nagios/apache-nagios.conf
===================================================================
--- /nagios/apache-nagios.conf	(revision 380)
+++ /nagios/apache-nagios.conf	(revision 381)
@@ -8,5 +8,6 @@
 
    RewriteEngine on
-   RewriteCond %{REMOTE_ADDR} =83.86.204.79
+   RewriteCond %{REMOTE_ADDR} =83.86.204.79 [OR]
+   RewriteCond %{REMOTE_ADDR} ^192\.168\..*$
    RewriteRule .* - [E=REMOTE_USER:nagiosadmin]
 </Directory>
Index: /nagios/nagios.cfg
===================================================================
--- /nagios/nagios.cfg	(revision 380)
+++ /nagios/nagios.cfg	(revision 381)
@@ -57,4 +57,5 @@
 # Definitions for monitoring vanderzwet.net
 cfg_file=/usr/local/etc/nagios/objects/vanderzwet.net.cfg
+cfg_file=/usr/local/etc/nagios/objects/wleiden.cfg
 
 
Index: /nagios/objects/templates.cfg
===================================================================
--- /nagios/objects/templates.cfg	(revision 380)
+++ /nagios/objects/templates.cfg	(revision 381)
@@ -11,6 +11,6 @@
 define contact{
         name                            generic-contact    	; The name of this contact template
-        service_notification_period     workinghours		; service notifications can be sent anytime
-        host_notification_period        workinghours		; host notifications can be sent anytime
+        service_notification_period     workhours		; service notifications can be sent anytime
+        host_notification_period        workhours		; host notifications can be sent anytime
         service_notification_options    w,u,c,r,f,s		; send notifications for all service states, flapping events, and scheduled downtime events
         host_notification_options       d,u,r,f,s		; send notifications for all host states, flapping events, and scheduled downtime events
@@ -42,5 +42,5 @@
         retain_status_information       1       	; Retain status information across program restarts
         retain_nonstatus_information    1       	; Retain non-status information across program restarts
-	notification_period		workinghours	; Send host notifications at any time
+	notification_period		workhours	; Send host notifications at any time
 	notification_interval		360
 	notification_options		d,u,r		; Only send notifications for specific host states
@@ -73,5 +73,5 @@
 	parents				ns.xs4all.nl	; HACK to avoid spams
 	use				generic-host	; This template inherits other values from the generic-host template
-	check_period			workinghours		; By default, FreeBSD hosts are checked round the clock
+	check_period			workhours		; By default, FreeBSD hosts are checked round the clock
 	check_interval			5		; Actively check the host every 5 minutes
 	retry_interval			1		; Schedule host check retries at 1 minute intervals
@@ -108,5 +108,5 @@
         retain_nonstatus_information    1       		; Retain non-status information across program restarts
         is_volatile                     0       		; The service is not volatile
-        check_period                    workinghours			; The service can be checked at any time of the day
+        check_period                    workhours			; The service can be checked at any time of the day
         max_check_attempts              3			; Re-check the service up to 3 times in order to determine its final (hard) state
         normal_check_interval           10			; Check the service every 10 minutes under normal conditions
@@ -115,5 +115,5 @@
 	notification_options		w,u,c,r			; Send notifications about warning, unknown, critical, and recovery events
         notification_interval           360
-        notification_period             workinghours			; Notifications can be sent out at any time
+        notification_period             workhours			; Notifications can be sent out at any time
         action_url /pnp4nagios/graph?host=$HOSTNAME$&srv=$SERVICEDESC$' class='tips' rel='/pnp4nagios/popup?host=$HOSTNAME$&srv=$SERVICEDESC$
          register                        0       		; DONT REGISTER THIS DEFINITION - ITS NOT A REAL SERVICE, JUST A TEMPLATE!